
Foreman - Bug #7931

FindCommon doesn't work with plugins

10/13/2014 07:50 PM - Stephen Benjamin

Status: Rejected   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Plugin integration   

Target version: 1.7.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1851

  

Description

If a plugin has "ForemanPlugin::UnicornController" then controller_name.classify.constantize will fail, it needs to use controller path.

History

#1 - 10/13/2014 07:58 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.7.2

- Pull request https://github.com/theforeman/foreman/pull/1851 added

- Pull request deleted ()

#2 - 10/13/2016 02:04 PM - Stephen Benjamin

- Status changed from Ready For Testing to Rejected

PR was rejected and I solved it in my plugin https://github.com/theforeman/foreman_salt/pull/8/files#diff-ca1bcc0d52bbce1409262189c416309aR4
